<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4129
Name: Emergency Room Encounter Entry
Description: Schockraum Episode Entry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4129-2017-02-01T000000">
   <title>Emergency Room Encounter Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]
Item: (EREncounterEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]
Item: (EREncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]"
         id="d127e6729-false-d117252e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="string(@classCode)=('ENC')">(EREncounterEntry): Der Wert von @classCode MUSS 'ENC' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(EREncounterEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4129'])&gt;=1">(EREncounterEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4129'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4129'])&lt;=1">(EREncounterEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4129'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:code[(@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(EREncounterEntry): Element hl7:code[(@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:code[(@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(EREncounterEntry): Element hl7:code[(@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EREncounterEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]])&lt;=1">(EREncounterEntry): Element hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:templateId[@root='1.2.276.0.76.10.4129']
Item: (EREncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:templateId[@root='1.2.276.0.76.10.4129']"
         id="d127e6735-false-d118128e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4129')">(EREncounterEntry): Der Wert von @root MUSS '1.2.276.0.76.10.4129' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:code[(@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (EREncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:code[(@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d127e6740-false-d118142e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="@nullFlavor or (@code='EMER' and @codeSystem='2.16.840.1.113883.5.4')">(EREncounterEntry): Der Elementinhalt MUSS einer von 'code 'EMER' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:effectiveTime
Item: (EREncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:effectiveTime"
         id="d127e6745-false-d118159e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EREncounterEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:low)&gt;=1">(EREncounterEntry): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:low)&lt;=1">(EREncounterEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="count(hl7:high)&lt;=1">(EREncounterEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:effectiveTime/hl7:low
Item: (EREncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:effectiveTime/hl7:low"
         id="d127e6750-false-d118194e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EREncounterEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="not(*)">(EREncounterEntry): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:effectiveTime/hl7:high
Item: (EREncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:effectiveTime/hl7:high"
         id="d127e6752-false-d118211e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EREncounterEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="not(*)">(EREncounterEntry): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4129
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]
Item: (EREncounterEntry)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4129']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4130']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(EREncounterEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EREncounterEntry): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(EREncounterEntry): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170707T112332/tmp-1.2.276.0.76.10.4129-2017-02-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EREncounterEntry): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
